Bug 100660

Summary: [NV136/GP106] No voltage/GPU and RAM frequency/fan speed reporting for GTX 1060 6GB
Product: xorg Reporter: Artem S. Tashkinov <aros>
Component: Driver/nouveauAssignee: Nouveau Project <nouveau>
Status: NEW --- QA Contact: Xorg Project Team <xorg-team>
Severity: normal    
Priority: medium    
Version: git   
Hardware: x86-64 (AMD64)   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:
Attachments:
Description Flags
nouveau kernel module errors none

Description Artem S. Tashkinov 2017-04-12 08:08:46 UTC
Created attachment 130809 [details]
nouveau kernel module errors

I wonder if this feature is indeed implemented but is reported differently than with e.g. Kepler cards where nouveau reports it via lm-sensors.

`sensors` doesn't report anything.
`dmesg` doesn't report anything.

I couldn't find anything interesting under /sys.

I'm just run `sensors-detect` and answered YES to all questions, yet nothing has surfaced except a ton of errors(?) from the kernel module:
Comment 1 Artem S. Tashkinov 2017-04-12 08:09:28 UTC
I'm running:

Linux localhost.localdomain 4.10.9-200.fc25.x86_64 #1 SMP Mon Apr 10 14:48:16 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
Comment 2 Karol Herbst 2017-07-10 20:58:12 UTC
sadly a lot of thins are locked down on pascal, but I think we could report the basic stuff. Let's see what we can actually export.
Comment 3 Rhys Kidd 2017-09-01 01:59:51 UTC
Artem: I'm working on getting at least the new temperature sensor subset of this bug report working on the Pascal series.

See: https://patchwork.freedesktop.org/patch/174696/
Comment 4 caguduzexi 2018-01-29 14:04:37 UTC
I wont recommend using/keeping the GP106 (GTX 1060). It cant ever run with free software: https://www.theregister.co.uk/2015/04/15/nvidia_gtx_900_linux_driver_roadbloack/
https://www.phoronix.com/scan.php?page=news_item&px=Nouveau-XDC2017
https://www.phoronix.com/scan.php?page=news_item&px=Nouveau-XDC2016-NVIDIA

Sell this crappy GP102 card away and go away from nvidia. Nvidia died with the 780ti card. Its the last end-user card that can be used normaly. Everything else is in some countries even a legal problem. Because the manufacturer (nvidia) blocks the users from beeing able to boot the software they want on THEIR hardware - happyly illegal in some countries. Hopefully some layer would sue the heck out of nvidia so that they would have to release the private signing key or close their doors.
Blocking the freedom of the users on such way should not be accepted by anyone.
Comment 5 Artem S. Tashkinov 2018-01-29 16:01:46 UTC
GPU temperature monitoring is now available in 4.15.

Hopefully the other variables will be added in the future.
Comment 6 Rhys Kidd 2018-01-29 16:20:38 UTC
Updated bug report to note Pascal temperature sensor support landed in 4.15.
Comment 7 Martin Peres 2018-01-29 17:33:08 UTC
(In reply to caguduzexi from comment #4)
> I wont recommend using/keeping the GP106 (GTX 1060). It cant ever run with
> free software:
> https://www.theregister.co.uk/2015/04/15/
> nvidia_gtx_900_linux_driver_roadbloack/
> https://www.phoronix.com/scan.php?page=news_item&px=Nouveau-XDC2017
> https://www.phoronix.com/scan.php?page=news_item&px=Nouveau-XDC2016-NVIDIA
> 
> Sell this crappy GP102 card away and go away from nvidia. Nvidia died with
> the 780ti card. Its the last end-user card that can be used normaly.
> Everything else is in some countries even a legal problem. Because the
> manufacturer (nvidia) blocks the users from beeing able to boot the software
> they want on THEIR hardware - happyly illegal in some countries. Hopefully
> some layer would sue the heck out of nvidia so that they would have to
> release the private signing key or close their doors.
> Blocking the freedom of the users on such way should not be accepted by
> anyone.

User banned.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.